﻿sonar.host.url=https://sonarqube.inria.fr/sonarqube
sonar.projectKey=compose_legacystack_fmr_AZPyta03kIZFuJNnTExF
sonar.qualitygate.wait=true
sonar.links.homepage=https://gitlab.inria.fr/compose/legacystack/fmr
sonar.links.scm=https://gitlab.inria.fr/compose/legacystack/fmr.git
sonar.projectDescription=Fast Methods for Randomized numerical linear algebra.
sonar.projectVersion=0.4
sonar.scm.disabled=false
sonar.scm.provider=git
sonar.sourceEncoding=UTF-8
sonar.sources=.
sonar.exclusions=build/**,CMakeModules/**,Data/**,deprecated/**,doc/**,modules/**,Packages/**,Scripts/**,**/*.xml
sonar.cxx.errorRecoveryEnabled=true
sonar.cxx.jsonCompilationDatabase=build/compile_commands.json
sonar.cxx.file.suffixes=.hpp,.cpp
sonar.cxx.gcc.charset=UTF-8
sonar.cxx.gcc.regex=(?<file>.*):(?<line>[0-9]+):[0-9]+:\\\x20warning:\\\x20(?<message>.*)\\\x20\\\[(?<id>.*)\\\]
sonar.cxx.gcc.reportPaths=build.log
sonar.cxx.clangsa.reportPaths=analyzer_reports/*/*.plist
#sonar.cxx.clangtidy.reportPaths=clang-tidy-report
sonar.cxx.cppcheck.reportPaths=cppcheck.xml
sonar.cxx.xunit.reportPaths=junit.xml
sonar.cxx.cobertura.reportPaths=coverage.xml
sonar.coverage.exclusions=modules/**/*,Tests/**/*,examples/**/*,UTests/testLapackSVD.cpp
